<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

namespace Webkul\GdprCompliance\Api\Data;

/**
 * MpApi Device Token interface.
 *
 * @api
 */
interface ResponseInterface
{
    /**
     * Get success.
     *
     * @return boolean
     */
    public function getSuccess();

    /**
     * Get message.
     *
     * @return string
     */
    public function getMessage();

    /**
     * Get success.
     *
     * @param boolean
     * @return void
     */
    public function setSuccess($success);

    /**
     * Get message.
     *
     * @param string
     * @return void
     */
    public function setMessage($message);
}
